org.eclipse.net4j.util.ui.security

## Class CredentialsDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.net4j.util.ui.widgets.BaseDialog<Viewer>
          - - org.eclipse.net4j.util.ui.security.CredentialsDialog

- All Implemented Interfaces:
    IShellProvider
  Direct Known Subclasses:
    CredentialsResetDialog, CredentialsUpdateDialog

      public class CredentialsDialog
      extends BaseDialog<Viewer>

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.widgets.BaseDialog

      `DEFAULT_SHELL_STYLE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialsDialog(Shell shell)`
    `CredentialsDialog(Shell shell, String realm)`
    `CredentialsDialog(Shell shell, String realm, String title, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureShell(Shell newShell)`
    `protected void` | `configureShell(Shell newShell, int width, int height)`
    `protected IPasswordCredentials` | `createCredentials(String userID, char[] password)`
    `protected Composite` | `createCredentialsArea(Composite parent)`
    `protected void` | `createUI(Composite parent)`
    `protected Control` | `createUserIDControl(Composite composite)`
    `IPasswordCredentials` | `getCredentials()`
    `String` | `getRealm()`
    `protected List<String>` | `loadUsers()`
    `protected void` | `okPressed()`
    `protected void` | `saveUsers(List<String> users)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.widgets.BaseDialog

      `close, createDialogArea, fillContextMenu, getCurrentViewer, getDialogBoundsSettings, getDialogSettings, getDialogSettings, hookContextMenu, setCurrentViewer`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialsDialog

          public CredentialsDialog(Shell shell)

    - #### CredentialsDialog

          public CredentialsDialog(Shell shell,
                                   String realm)

      Since:
        3.3

    - #### CredentialsDialog

          public CredentialsDialog(Shell shell,
                                   String realm,
                                   String title,
                                   String message)

      Since:
        3.4

  - ### Method Detail

    - #### getRealm

          public final String getRealm()

      Since:
        3.3

    - #### getCredentials

          public IPasswordCredentials getCredentials()

    - #### configureShell

          protected void configureShell(Shell newShell)

      Overrides:
        `configureShell` in class `Window`

    - #### configureShell

          protected void configureShell(Shell newShell,
                                        int width,
                                        int height)

      Since:
        3.4

    - #### createUI

          protected void createUI(Composite parent)

      Specified by:
        `createUI` in class `BaseDialog<Viewer>`

    - #### createCredentialsArea

          protected Composite createCredentialsArea(Composite parent)

      Since:
        3.4

    - #### createUserIDControl

          protected Control createUserIDControl(Composite composite)

      Since:
        3.4

    - #### okPressed

          protected void okPressed()

      Overrides:
        `okPressed` in class `Dialog`

    - #### createCredentials

          protected IPasswordCredentials createCredentials(String userID,
                                                           char[] password)

      Since:
        3.4

    - #### loadUsers

          protected List<String> loadUsers()

      Since:
        3.4

    - #### saveUsers

          protected void saveUsers(List<String> users)

      Since:
        3.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html